xine-lib: post_plugin_fftscope_s Struct Reference

xine-lib 1.2.12

Data Fields
post_plugin_fftscope_s Struct Reference

## Data Fields
post_plugin_t | post
xine_video_port_t * | vo_port
post_out_t | video_output
metronom_t * | metronom
double | ratio
int | data_idx
complex_t | wave [6][512]
int | amp_max [6][512/2]
uint8_t | amp_max_y [6][512/2]
uint8_t | amp_max_u [6][512/2]
uint8_t | amp_max_v [6][512/2]
int | amp_age [6][512/2]
audio_buffer_t | buf
int | channels
int | sample_counter
int | samples_per_frame
unsigned char | u_current
unsigned char | v_current
int | u_direction
int | v_direction
fft_t * | fft

## Field Documentation

## ◆ amp_age

int post_plugin_fftscope_s::amp_age[6][512/2]

## ◆ amp_max

int post_plugin_fftscope_s::amp_max[6][512/2]

## ◆ amp_max_u

uint8_t post_plugin_fftscope_s::amp_max_u[6][512/2]

## ◆ amp_max_v

uint8_t post_plugin_fftscope_s::amp_max_v[6][512/2]

## ◆ amp_max_y

uint8_t post_plugin_fftscope_s::amp_max_y[6][512/2]

## ◆ buf

audio_buffer_t post_plugin_fftscope_s::buf

## ◆ channels

int post_plugin_fftscope_s::channels

## ◆ data_idx

int post_plugin_fftscope_s::data_idx

## ◆ fft

fft_t* post_plugin_fftscope_s::fft

## ◆ metronom

metronom_t* post_plugin_fftscope_s::metronom

## ◆ post

post_plugin_t post_plugin_fftscope_s::post

## ◆ ratio

double post_plugin_fftscope_s::ratio

## ◆ sample_counter

int post_plugin_fftscope_s::sample_counter

## ◆ samples_per_frame

int post_plugin_fftscope_s::samples_per_frame

## ◆ u_current

unsigned char post_plugin_fftscope_s::u_current

## ◆ u_direction

int post_plugin_fftscope_s::u_direction

## ◆ v_current

unsigned char post_plugin_fftscope_s::v_current

## ◆ v_direction

int post_plugin_fftscope_s::v_direction

## ◆ video_output

post_out_t post_plugin_fftscope_s::video_output

## ◆ vo_port

xine_video_port_t* post_plugin_fftscope_s::vo_port

## ◆ wave

complex_t post_plugin_fftscope_s::wave[6][512]

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/post/visualizations/fftscope.c